Print Friendly

# Class YAHOO.util.AnimMgr

Package: | YAHOO.util
Class: | AnimMgr
Extends: | Object
Defined In: | animation.js

Handles animation queueing and threading. Used by Anim and subclasses.

## Public Properties

Property | Defined By
--- | ---
| delay : Int | AnimMgr
Interval delay in milliseconds, defaults to fastest possible.
| fps : Int | AnimMgr
Base frame rate (frames per second). Arbitrarily high for better x-browser calibration (slower browsers drop more fra...

## Public Methods

Method | Defined By
--- | ---
| registerElement(`object tween`) : void | AnimMgr
Adds an animation instance to the animation queue. All animation instances must be registered in order to animate.
| run() : void | AnimMgr
Called per Interval to handle each animation frame.
| start() : void | AnimMgr
Starts the animation thread. Only one thread can run at a time.
| stop([`object tween`]) : void | AnimMgr
Stops the animation thread or a specific animation instance.

## Public Events

This class has no public events.

## Property Details

### delay

`public Int delay`
Interval delay in milliseconds, defaults to fastest possible.
This property is defined by AnimMgr.

### fps

`public Int fps`
Base frame rate (frames per second). Arbitrarily high for better x-browser calibration (slower browsers drop more frames).
This property is defined by AnimMgr.

## Method Details

### registerElement

`public function registerElement(`object tween`)`
Adds an animation instance to the animation queue. All animation instances must be registered in order to animate.
Parameters:

- `tween` : object
  The Anim instance to be be registered

Returns:

- `void`

This method is defined by AnimMgr.

### run

`public function run()`
Called per Interval to handle each animation frame.
Parameters:

- None.

Returns:

- `void`

This method is defined by AnimMgr.

### start

`public function start()`
Starts the animation thread. Only one thread can run at a time.
Parameters:

- None.

Returns:

- `void`

This method is defined by AnimMgr.

### stop

`public function stop([`object tween`])`
Stops the animation thread or a specific animation instance.
Parameters:

- `tween` : object
  A specific Anim instance to stop (optional) If no instance given, Manager stops thread and all animations.

Returns:

- `void`

This method is defined by AnimMgr.

Copyright © 2006 Jack Slocum. All rights reserved.